# Foo namespace since 2010.02

A namespace.

## Classes

class Class since 2019.11
  A class.
struct Subclass since 2019.11
  A subclass.

## Enums

enum Enum { OldValue = 0, NewValue = 3 since 2019.11 } since 2010.02
  An enum.

## Typedefs

using Klazz = Class since 2010.02
  A typedef.

## Functions

void foo() since 2010.02
  A function.

## Variables

int Five constexpr since 2010.02
  A constant.

## Enum documentation

### enum Foo::Enum since 2010.02
#include <Directory/Class.h>

An enum.

Details should have the badge too.

Enumerators |
--- | ---
OldValue |
NewValue since 2019.11 | This thing is new. Yes.

## Typedef documentation

### typedef Class Foo::Klazz since 2010.02
#include <Directory/Class.h>

A typedef.

Details should have the badge too.

## Function documentation

### void Foo::foo() since 2010.02
#include <Directory/Class.h>

A function.

Details should have the badge too.

## Variable documentation

### int Foo::Five constexpr since 2010.02
#include <Directory/Class.h>

A constant.

Details should have the badge too.